import { motion } from "framer-motion";

function LoadingBar() {
  return (
    <div className="h-1 bg-grey relative overflow-hidden">
      <motion.div
        className="bg-primary dark:bg-primary-dark w-full h-full rounded-sm absolute"
        animate={{ x: ["-100%", "100%"] }}
        transition={{ repeat: Infinity, duration: 2, ease: "anticipate" }}
      ></motion.div>
    </div>
  );
}

export default LoadingBar;
